Name:				cpp_date
Version:			3.0.1
Release:			1%{?dist}
Summary:			date  C++11/C++14/C++17 libraries
License:			MIT
URL:				https://github.com/HowardHinnant/date/
Source0:			v%{version}.tar.gz
BuildRequires:			gcc-c++
BuildRequires:			cmake
BuildRequires:			cmake-rpm-macros

%description
date  C++11/C++14/C++17 libraries

%package devel
Requires: %{name} = %{version}
Group: Development/Libraries/C and C++
Summary: Development files for PeriLibs

%description devel
Development files for PeriLibs library.

%prep
%setup -q -n date-%{version}

%build
%cmake -DBUILD_SHARED_LIBS=y -DUSE_SYSTEM_TZ_DB=y -DBUILD_TZ_LIB=y
%cmake_build

%install
rm -rf %{buildroot}

%cmake_install 


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README.md LICENSE.txt
%{_libdir}/libdate-tz.so
%{_libdir}/libdate-tz.so.*

%files devel
%defattr(-,root,root,-)

%dir %{_includedir}/date
%{_includedir}/date/*

%dir %{_libdir}/cmake/date
%{_libdir}/cmake/date/*


%changelog
* Fri Feb 03 2017 Zoran Pericic
- Initial RPM release
